package com.ygtx.gxt.mapper;

import java.util.List;
import com.ygtx.gxt.domain.GxtWorkOrderFlow;

/**
 * 维修工单流转记录Mapper接口
 *
 * @author ygtx
 * @date 2025-10-29
 */
public interface GxtWorkOrderFlowMapper
{
    /**
     * 查询维修工单流转记录
     *
     * @param id 维修工单流转记录主键
     * @return 维修工单流转记录
     */
    public GxtWorkOrderFlow selectGxtWorkOrderFlowById(Long id);

    /**
     * 查询维修工单流转记录列表
     *
     * @param gxtWorkOrderFlow 维修工单流转记录
     * @return 维修工单流转记录集合
     */
    public List<GxtWorkOrderFlow> selectGxtWorkOrderFlowList(GxtWorkOrderFlow gxtWorkOrderFlow);

    /**
     * 新增维修工单流转记录
     *
     * @param gxtWorkOrderFlow 维修工单流转记录
     * @return 结果
     */
    public int insertGxtWorkOrderFlow(GxtWorkOrderFlow gxtWorkOrderFlow);

    /**
     * 修改维修工单流转记录
     *
     * @param gxtWorkOrderFlow 维修工单流转记录
     * @return 结果
     */
    public int updateGxtWorkOrderFlow(GxtWorkOrderFlow gxtWorkOrderFlow);

    /**
     * 删除维修工单流转记录
     *
     * @param id 维修工单流转记录主键
     * @return 结果
     */
    public int deleteGxtWorkOrderFlowById(Long id);

    /**
     * 批量删除维修工单流转记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGxtWorkOrderFlowByIds(Long[] ids);

    /**
     * 根据工单ID查询流转记录列表
     *
     * @param orderId 工单ID
     * @return 流转记录集合
     */
    public List<GxtWorkOrderFlow> selectGxtWorkOrderFlowByOrderId(Long orderId);
}
